# CEGUI::_functorBinder< Functor, Ret, Args > Class Template Reference

This class binds a copy of a functor. More...

Inheritance diagram for CEGUI::_functorBinder< Functor, Ret, Args >:

[legend]
Collaboration diagram for CEGUI::_functorBinder< Functor, Ret, Args >:

[legend]
List of all members.

## Public Member Functions

virtual Ret | operator() (Args args) const
| _functorBinder (const Functor &f)

## Protected Attributes

Functor | d_f

## Detailed Description

### template<class Functor, typename Ret, typename Args>
class CEGUI::_functorBinder< Functor, Ret, Args >

This class binds a copy of a functor.